function rVe(a){this.a=a}
function yVe(a,b){EUe(a.a,b)}
function zVe(a,b){DUe(a.a,b)}
function fuk(){q$e(this.b,new rVe(this))}
function S_e(a){var b;if(!a.d){b=new AVe;a.d=b}return a.d}
function R_e(a){var b;if(!a.c){b=new pVe(MFd(Jce(a.a)),S_e(a),Q_e(a),(Yoj(pee(a.a)),PMg(Dde(a.a))),_1i(nee(a.a)));YFd((Kce(a.a),b),VGd(Kce(a.a)));a.c=b}return a.c}
function AVe(){this.a=new FUe(c3j);CUe(this.a,(LYd(),'A named network interface, along with required criteria for determining the IP address to associate with that interface.'))}
function pVe(a,b,d,e){var g,i,j;CGd.call(this,a,b,d);this.c=e;g=new W8i;g.b=new vmj;this.b=new r$e(g);j=new n1i(Nlb);i=new $0i(Nlb,(bCh(),YBh).Nc(Nlb),aCh.Nc(Nlb));this.a=new dVe(j,i);bVe(this.a,this)}
K3c(2120,1013,pzj,pVe);_.Cl=function(){var a;a=new W8i;a.b=new vmj;return a};_.Dl=fuk;_.Ui=function(){yVe(this.A,this.a)};_.Zi=fuk;_.bj=function(){Vvf(this.c,this)};K3c(2121,1300,{},rVe);_.fh=function(a){zVe(this.a.A,a)};K3c(2124,1417,ozj,AVe);_.Ch=function(){return BUe(this.a)};K3c(2234,1,Xzj);_.ud=function(){uHd(this.b,R_e(this.a.a))};var jkb=sOd(2120),gkb=sOd(2121),kkb=sOd(2124);JAj(np)(9);